libvisio::VSDShape Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDShape Class Reference

`#include <VSDStencils.h>`

## Public Member Functions
| VSDShape ()
| VSDShape (const VSDShape &shape)
| ~VSDShape ()
VSDShape & | operator= (const VSDShape &shape)
void | clear ()

## Public Attributes
std::map< unsigned, VSDGeometryList > | m_geometries
VSDShapeList | m_shapeList
VSDFieldList | m_fields
ForeignData * | m_foreign
unsigned | m_parent
unsigned | m_masterPage
unsigned | m_masterShape
unsigned | m_shapeId
unsigned | m_lineStyleId
unsigned | m_fillStyleId
unsigned | m_textStyleId
VSDOptionalLineStyle | m_lineStyle
VSDOptionalFillStyle | m_fillStyle
VSDOptionalTextBlockStyle | m_textBlockStyle
VSDOptionalCharStyle | m_charStyle
VSDOptionalThemeReference | m_themeRef
VSDCharacterList | m_charList
VSDOptionalParaStyle | m_paraStyle
VSDParagraphList | m_paraList
librevenge::RVNGBinaryData | m_text
std::map< unsigned, VSDName > | m_names
TextFormat | m_textFormat
std::map< unsigned, NURBSData > | m_nurbsData
std::map< unsigned, PolylineData > | m_polylineData
XForm | m_xform
XForm * | m_txtxform
XForm1D * | m_xform1d
VSDMisc | m_misc

## Constructor & Destructor Documentation

libvisio::VSDShape::VSDShape | ( |  | ) |

libvisio::VSDShape::VSDShape | ( | const VSDShape & | shape | ) |

libvisio::VSDShape::~VSDShape | ( |  | ) |

## Member Function Documentation

void libvisio::VSDShape::clear | ( |  | ) |

libvisio::VSDShape & libvisio::VSDShape::operator= | ( | const VSDShape & | shape | ) |

## Member Data Documentation

VSDCharacterList libvisio::VSDShape::m_charList

Referenced by operator=(), and libvisio::VSDXMLParserBase::readShape().

VSDOptionalCharStyle libvisio::VSDShape::m_charStyle

Referenced by operator=().

VSDFieldList libvisio::VSDShape::m_fields

Referenced by operator=().

VSDOptionalFillStyle libvisio::VSDShape::m_fillStyle

Referenced by operator=().

unsigned libvisio::VSDShape::m_fillStyleId

Referenced by operator=().

ForeignData* libvisio::VSDShape::m_foreign

Referenced by operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

std::map<unsigned, VSDGeometryList> libvisio::VSDShape::m_geometries

Referenced by operator=(), and libvisio::VSDXMLParserBase::readShape().

VSDOptionalLineStyle libvisio::VSDShape::m_lineStyle

Referenced by operator=().

unsigned libvisio::VSDShape::m_lineStyleId

Referenced by operator=().

unsigned libvisio::VSDShape::m_masterPage

Referenced by operator=().

unsigned libvisio::VSDShape::m_masterShape

Referenced by operator=().

VSDMisc libvisio::VSDShape::m_misc

Referenced by operator=(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

std::map< unsigned, VSDName > libvisio::VSDShape::m_names

Referenced by operator=().

std::map<unsigned, NURBSData> libvisio::VSDShape::m_nurbsData

Referenced by operator=().

VSDParagraphList libvisio::VSDShape::m_paraList

Referenced by operator=(), and libvisio::VSDXMLParserBase::readShape().

VSDOptionalParaStyle libvisio::VSDShape::m_paraStyle

Referenced by operator=().

unsigned libvisio::VSDShape::m_parent

Referenced by operator=().

std::map<unsigned, PolylineData> libvisio::VSDShape::m_polylineData

Referenced by operator=().

unsigned libvisio::VSDShape::m_shapeId

Referenced by operator=().

VSDShapeList libvisio::VSDShape::m_shapeList

Referenced by operator=().

librevenge::RVNGBinaryData libvisio::VSDShape::m_text

Referenced by operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

VSDOptionalTextBlockStyle libvisio::VSDShape::m_textBlockStyle

Referenced by operator=().

TextFormat libvisio::VSDShape::m_textFormat

Referenced by operator=(), libvisio::VSD5Parser::readShape(), and libvisio::VSDParser::readShape().

unsigned libvisio::VSDShape::m_textStyleId

Referenced by operator=().

VSDOptionalThemeReference libvisio::VSDShape::m_themeRef

Referenced by operator=().

XForm* libvisio::VSDShape::m_txtxform

Referenced by operator=(), and libvisio::VSDXMLParserBase::readShape().

XForm libvisio::VSDShape::m_xform

Referenced by operator=(), and libvisio::VSDXMLParserBase::readShape().

XForm1D* libvisio::VSDShape::m_xform1d

Referenced by operator=().

The documentation for this class was generated from the following files:

- VSDStencils.h
- VSDStencils.cpp